# Uses of Interface
org.eclipse.emf.cdo.spi.server.InternalLockManager

Packages that use InternalLockManager
Package
Description
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of InternalLockManager in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalLockManager
Modifier and Type
Method
Description
`InternalLockManager`
InternalRepository.`getLockingManager()`
`InternalLockManager`
InternalRepository.`getLockManager()`
Deprecated.
As of 4.1 use `InternalRepository.getLockingManager()`.
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalLockManager
Modifier and Type
Method
Description
`static InternalView`
SyncingUtil.`openViewWithLockArea(InternalSession session, InternalLockManager lockManager, CDOBranch viewedBranch, String lockAreaID)`